How could I install the latest version of KDevelop 4.2.3 in Lucid? (Or at least a newer version than the buggy one available in the repositories, v4.0.2).

There is a newer one in Oneiric but I think it's a bad idea to mix sources, I've done it once to get an older compiler from older repos but I don't know trying to get something from a repository aimed to a newer distribution. I would skip building it from source as well if possible.

Thanks,